Bug 506546 - Cannot retrieve repository metadata for repo:fedora
Cannot retrieve repository metadata for repo:fedora
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 13:32 EDT by Digvijay Patankar
Modified: 2014-01-21 18:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 11:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Digvijay Patankar 2009-06-17 13:32:44 EDT
Description of problem:
I am unable to update my system with yum.

The whole procedure I followed is :

1. We have a local mirror at our college. So to set it I manually deleted all .repo files from /etc/yum.repos.d. But our college mirror is having some problems. 

2. So I downloaded rpmfusion rpm package and hence I have rpmfusion*.repo files.

3. Now I used 'yum update' command. It worked but showed dependency error and advised to use --skip-broken.

4. Now I downloaded fedora-release-11*noarch.rpm to get the .repo files for fedora repository. And tried to install the package which replied "Package already exist" or something similar. So I manually copied all files from rpm package to the appropriate place.

5. Now when I run 'yum update', the response is :

   yum update 
Loaded plugins: fastestmirror, presto, refresh-packagekit

Thats all. It do not go ahead.
Even if I disable the fastestmirror, the response is similar.
And when I disable the fedora repo :

yum update --disablerepo=fedo*
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile


Cannot find a valid baseurl for repo: rpmfusion-free-updates

When I run system > administration > add or remove application
and click on any group it pops up a window whose content is :

=======================================================================
 Error Type: <class 'packagekit.backend.PkError'>
Error Value: 'no-cache: Cannot retrieve metalink for repository: fedora. Please verify its path and try again'
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2828, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2825, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 622, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 579, in dispatch_command
    self.search_file(options, searchterms)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 623, in search_file
    self._check_init(lazy_cache=True)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2463, in _check_init
    raise PkError(ERROR_NO_CACHE, _to_unicode(e))
===============================================================================



Version-Release number of selected component (if applicable):
yum 3.2.22

How reproducible:
yum update 

or 

system > administration > add or remove application
click on any group such as 'admin tools'

Steps to Reproduce:
1.yum update OR
2.system > administration > add or remove application
3.click on any group such as 'admin tools'

  
Actual results:
copied above

Expected results:
Should update the system

Additional info:
Comment 1 seth vidal 2009-06-17 13:37:17 EDT
Is there a proxy on your campus network that you've not set up for yum to be able to use?
Comment 2 Digvijay Patankar 2009-06-17 14:35:51 EDT
Yes, there is a proxy.
And I set it on system > preferences > network proxy.

I dont know how to set it on yum separately.

But the same thing worked on Fedora 10.
Comment 3 seth vidal 2009-06-17 14:42:20 EDT
go into your .repo files and wherever you see a mirrorlist with an https:// url type change it to be an http:// url type.

then try again
Comment 4 Digvijay Patankar 2009-06-17 15:08:24 EDT
Now its working. But still rpmfusion-free-updates.repo have some problem.
I don't know whether problem with rpmfusion repo falls into your domain or not.

The content of repo is :

[rpmfusion-nonfree]
name=RPM Fusion for Fedora $releasever - Nonfree
#baseurl=http://download1.rpmfusion.org/nonfree/fedora/releases/$releasever/Everything/$basearch/os/
mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-$releasever&arch=$basearch
enabled=1
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-$releasever-$basearch

[rpmfusion-nonfree-debuginfo]
name=RPM Fusion for Fedora $releasever - Nonfree - Debug
#baseurl=http://download1.rpmfusion.org/nonfree/fedora/releases/$releasever/Everything/$basearch/debug/
mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-debug-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-$releasever-$basearch

[rpmfusion-nonfree-source]
name=RPM Fusion for Fedora $releasever - Nonfree - Source
#baseurl=http://download1.rpmfusion.org/nonfree/fedora/releases/$releasever/Everything/source/SRPMS/
mirrorlist=http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-fedora-source-$releasever&arch=$basearch
enabled=0
metadata_expire=7d
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-$releasever-$basearch
Comment 5 Digvijay Patankar 2009-06-17 15:10:10 EDT
Sorry I made a mistake on first line.

Problem is with rpmfusion-nonfree.repo

And the error message is :

# yum update --disablerepo=yum*
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
fedora/metalink                                          | 8.1 kB     00:00     


Cannot find a valid baseurl for repo: rpmfusion-nonfree
Comment 6 Digvijay Patankar 2009-06-18 13:16:39 EDT
Now its working fine.
Even the rpmfusion repos are working.

Dont know what was the problem yesterday.

But today everything is fine.

Note You need to log in before you can comment on or make changes to this bug.